<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>:::SISTEMA DE HORARIOS:::</title>

		<meta name="description" content="overview &amp; stats" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
                
		<link rel="stylesheet" href="../assets/css/bootstrap.css" />
		<link rel="stylesheet" href="../assets/css/font-awesome.css" />
                <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
		<link rel="stylesheet" href="../assets/css/ace-fonts.css" />
		<link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
		<script src="../assets/js/ace-extra.js"></script>
                
                
        
		<!-- inline scripts related to this page -->
		<script type="text/javascript" language="javascript">
                    
			/*$(document).ready( function() {
                jQuery("#registroEncuesta").validationEngine();
            });*/
		</script>
	</head>

	<body class="no-skin" onLoad="cargar();">
		<!-- #section:basics/navbar.layout -->
		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
			</script>

			<div class="navbar-container" id="navbar-container">
            <%@ include file="banner.jsp" %>
			</div><!-- /.navbar-container -->
		</div>

		<!-- /section:basics/navbar.layout -->
		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
			</script>

			<!-- #section:basics/sidebar -->
			<div id="sidebar" class="sidebar                  responsive">
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
				</script>
                                <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
                                <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
                                <%@ include file="menu.jsp" %>
				<!-- #section:basics/sidebar.layout.minimize -->
				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>
				<!-- /section:basics/sidebar.layout.minimize -->
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
				</script>
			</div>

			<!-- /section:basics/sidebar -->
			<div class="main-content">
				<div class="main-content-inner">
					<!-- #section:basics/content.breadcrumbs -->
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="principal.jsp">INICIO</a>
							</li>
							<li class="active">BLOQUES</li>
						</ul><!-- /.breadcrumb -->
					</div>

					<!-- /section:basics/content.breadcrumbs -->
					<div class="page-content">
						
						<div class="page-header">
							<h1>
								Bloques
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									Mantenimento
								</small>
							</h1>
						</div><!-- /.page-header -->

						<div class="row">
							
                                                    
                                                    
                                                    
                                                    
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
                                                    <div class="col-sm-12" style="width:100%;">
                                                        
                                                        <div  class="col-sm-4"></div>
                                                        <div  class="col-sm-4">
                                                            <div class="widget-box widget-color-blue">
                                                                <div class="widget-header">
                                                                    <h4 class="widget-title">Edición de bloques por día</h4>
                                                                </div>

                                                                <div class="widget-body">
                                                                    <div class="widget-main no-padding">
                                                                        <form id="registroBloque"  method="post">
                                                                            <fieldset>
                                                                                    <label for="form-field-select-3">Bloque <span style="color: red;">*</span></label>
                                                                                    <br>
                                                                                    <div id="divbloque">
                                                                                        <select class="form-control validate[required]" id="cmbBloque" >
                                                                                            <option value="">[Seleccione]</option>
                                                                                        </select>
                                                                                    </div> 
                                                                                    <br>
                                                                                    <label for="form-field-select-3">Turno <span style="color: red;">*</span></label>
                                                                                    <br>
                                                                                    <div id="divTurno">
                                                                                        <select class="form-control validate[required]" id="cmbTurno" >
                                                                                            <option value="">[Seleccione]</option>
                                                                                        </select>
                                                                                    </div> 
                                                                                    <br>
                                                                                    <label for="form-field-select-3">Día <span style="color: red;">*</span></label>
                                                                                    <br>
                                                                                    <div id="divDia">
                                                                                        <select class="form-control validate[required]" id="cmbDia" >
                                                                                            <option value="">[Seleccione]</option>
                                                                                            <!--<option value="g">GENERAL</option>
                                                                                            <option value="1">LUNES</option>
                                                                                            <option value="2">MARTES</option>
                                                                                            <option value="3">MIÉRCOLES</option>
                                                                                            <option value="4">JUEVES</option>
                                                                                            <option value="5">VIERNES</option>
                                                                                            <option value="6">SÁBADO</option>-->
                                                                                        </select>
                                                                                    </div> 
                                                                                    <br>
                                                                            </fieldset>
                                                                            
                                                                            <div class="form-actions center">
                                                                                <button  class="btn btn-sm btn-info" type="button" onclick="validar_buscar();">
                                                                                    <i class="ace-icon fa fa-cogs icon-on-right bigger-110"></i>
                                                                                    Armar bloque por día
                                                                                </button>
                                                                                <button  class="btn btn-sm btn-success" type="button" onclick="regresar();">
                                                                                    <i class="ace-icon fa fa-reply icon-on-right bigger-110"></i>
                                                                                    Regresar
                                                                                </button>
                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div  class="col-sm-4"></div>
                                                        
                                                    </div>
                                                    <div class="col-sm-12" style="width:100%; height: 40px;"></div>
                                                    <div  class="col-sm-12" style="width:100%;">
                                                        <div  class="col-sm-3" ></div>
                                                        <div  class="col-sm-6">
                                                            <!-- -------------TABLA---INI------------ -->
                                                            <form id="regisBloque"  method="post">
                                                                <div style="display: none;" id='divListadoBloq'></div>
                                                            </form> 
                                                            
                                                            <!-- -------------TABLA---FIN------------ -->
                                                        </div>
                                                        <div  class="col-sm-3"></div>
                                                    </div>
                                                    <div class="col-sm-12" style="width:100%; height: 40px;"></div>
                                                    <div  class="col-sm-12" style="width:100%;">
                                                        <div  class="col-sm-2" ></div>
                                                        <div  class="col-sm-8">
                                                            <!-- -------------TABLA---INI------------ -->
                                                            <form id="regisBloque1"  method="post">
                                                                <div style="display: none;" id='bloqueDias'>dADAsdsad</div>
                                                            </form> 
                                                            
                                                            <!-- -------------TABLA---FIN------------ -->
                                                        </div>
                                                        <div  class="col-sm-2"></div>
                                                    </div>
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->
                                                    <input type="hidden" id="codBloq">
                                                    <input type="hidden" id="codTurno">
                                                    <input type="hidden" id="cadena"><br>
                                                    <input type="hidden" id="cantMax">
                                                    
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
                                                    <div id="dialog-noti1" class="hide">
                                                        <br>
                                                        Se registro con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor1" class="hide">
                                                        <br>
                                                        ¿Está seguro de registrar un nuevo bloque?
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia1" class="hide">
                                                        <br>
                                                        - La hora de inicio debe ser menor a la hora Fin.<br> 
                                                        - Considerar los minutos en un rango [00 a 59].<br> 
                                                        - Considerar las horas en un rango de: <br>
                                                        - Turno Mañana [07:50 a 14:30].<br>
                                                        - Turno Tarde [15:00 a 19:00].<br>
                                                        - Turno Noche [19:00 a 22:00].<br>
                                                        - Turno Mañana-Tarde [07:50 a 22:00].<br>
                                                        - Turno Tarde-Noche [15:00 a 22:00].<br>
                                                        - Turno Todos [07:50 a 22:00].
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia2" class="hide">
                                                        <br>
                                                        El Bloque ya Existe.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia3" class="hide">
                                                        <br>
                                                        Ocurrió un error en el registro.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armar" class="hide">
                                                        <br>
                                                        <form id="registrarCurso" class="formular" method="post">
                                                            <div id="divFormularioRegistro" ></div>
                                                        </form>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armarEdit" class="hide">
                                                        <br>
                                                        <form id="actulizar" class="formular" method="post">
                                                            <div id="divFormulario"  ></div>
                                                        </form>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-cargando" class="hide">
                                                        <table cellpadding="0" cellspacing="0" width="100%">
                                                            <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                                                        </table>
                                                    </div>
                                                    
                                                    
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<div class="footer">
				<%@ include file="footer.jsp" %>
			</div>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='../assets/js/jquery.js'>"+"<"+"/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='../assets/js/jquery.mobile.custom.js'>"+"<"+"/script>");
		</script>
		<script src="../assets/js/bootstrap.js"></script>

		<!-- page specific plugin scripts -->
                <script src="../assets/js/jquery-ui.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>

		<!--[if lte IE 8]>
		  <script src="../assets/js/excanvas.js"></script>
		<![endif]-->
		<script src="../assets/js/jquery-ui.custom.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
		<script src="../assets/js/jquery.easypiechart.js"></script>
		<script src="../assets/js/jquery.sparkline.js"></script>
		<script src="../assets/js/flot/jquery.flot.js"></script>
		<script src="../assets/js/flot/jquery.flot.pie.js"></script>
		<script src="../assets/js/flot/jquery.flot.resize.js"></script>

		<!-- ace scripts -->
		<script src="../assets/js/ace/elements.scroller.js"></script>
		<script src="../assets/js/ace/elements.colorpicker.js"></script>
		<script src="../assets/js/ace/elements.fileinput.js"></script>
		<script src="../assets/js/ace/elements.typeahead.js"></script>
		<script src="../assets/js/ace/elements.wysiwyg.js"></script>
		<script src="../assets/js/ace/elements.spinner.js"></script>
		<script src="../assets/js/ace/elements.treeview.js"></script>
		<script src="../assets/js/ace/elements.wizard.js"></script>
		<script src="../assets/js/ace/elements.aside.js"></script>
		<script src="../assets/js/ace/ace.js"></script>
		<script src="../assets/js/ace/ace.ajax-content.js"></script>
		<script src="../assets/js/ace/ace.touch-drag.js"></script>
		<script src="../assets/js/ace/ace.sidebar.js"></script>
		<script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
		<script src="../assets/js/ace/ace.submenu-hover.js"></script>
		<script src="../assets/js/ace/ace.widget-box.js"></script>
		<script src="../assets/js/ace/ace.settings.js"></script>
		<script src="../assets/js/ace/ace.settings-rtl.js"></script>
		<script src="../assets/js/ace/ace.settings-skin.js"></script>
		<script src="../assets/js/ace/ace.widget-on-reload.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
                
                
                <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
                <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->
                
                
		<!-- inline scripts related to this page -->
		<script type="text/javascript">
                        
			jQuery(function($) {
                                
                                
				//override dialog's title function to allow for HTML titles
				$.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
					_title: function(title) {
						var $title = this.options.title || '&nbsp;'
						if( ("title_html" in this.options) && this.options.title_html == true )
							title.html($title);
						else title.text($title);
					}
				}));
			
				
			
				$( "#id-btn-dialog2" ).on('click', function(e) {//--
					e.preventDefault();
                                    $( "#dialog-confirm" ).removeClass('hide').dialog({
                                        resizable: false,
                                        modal: true,
                                        title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                                        title_html: true,
                                        buttons: [
                                            {
                                                html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                                                "class" : "btn btn-danger btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                            ,
                                            {
                                                html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                                                "class" : "btn btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        ]
                                    });
				});
                                
				$('.easy-pie-chart.percentage').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
					var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
					var size = parseInt($(this).data('size')) || 50;
					$(this).easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: parseInt(size/10),
						animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
						size: size
					});
				})
			
				$('.sparkline').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
					$(this).sparkline('html',
                                                                    {
                                                                           tagValuesAttribute:'data-values',
                                                                           type: 'bar',
                                                                           barColor: barColor ,
                                                                           chartRangeMin:$(this).data('min') || 0
                                                                    });
				});
			
			
			  //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
			  //but sometimes it brings up errors with normal resize event handlers
			  $.resize.throttleWindow = false;
			
			  var placeholder = $('#piechart-placeholder').css({'width':'90%' , 'min-height':'150px'});
			  var data = [
				{ label: "social networks",  data: 38.7, color: "#68BC31"},
				{ label: "search engines",  data: 24.5, color: "#2091CF"},
				{ label: "ad campaigns",  data: 8.2, color: "#AF4E96"},
				{ label: "direct traffic",  data: 18.6, color: "#DA5430"},
				{ label: "other",  data: 10, color: "#FEE074"}
			  ]
			  function drawPieChart(placeholder, data, position) {
			 	  $.plot(placeholder, data, {
					series: {
						pie: {
							show: true,
							tilt:0.8,
							highlight: {
								opacity: 0.25
							},
							stroke: {
								color: '#fff',
								width: 2
							},
							startAngle: 2
						}
					},
					legend: {
						show: true,
						position: position || "ne", 
						labelBoxBorderColor: null,
						margin:[-30,15]
					}
					,
					grid: {
						hoverable: true,
						clickable: true
					}
				 })
			 }
			 drawPieChart(placeholder, data);
			
			 /**
			 we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
			 so that's not needed actually.
			 */
			 placeholder.data('chart', data);
			 placeholder.data('draw', drawPieChart);
			
			
			  //pie chart tooltip example
			  var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
			  var previousPoint = null;
			
			  placeholder.on('plothover', function (event, pos, item) {
				if(item) {
					if (previousPoint != item.seriesIndex) {
						previousPoint = item.seriesIndex;
						var tip = item.series['label'] + " : " + item.series['percent']+'%';
						$tooltip.show().children(0).text(tip);
					}
					$tooltip.css({top:pos.pageY + 10, left:pos.pageX + 10});
				} else {
					$tooltip.hide();
					previousPoint = null;
				}
				
			 });
			
				/////////////////////////////////////
				$(document).one('ajaxloadstart.page', function(e) {
					$tooltip.remove();
				});
			
			
			
			
				var d1 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d1.push([i, Math.sin(i)]);
				}
			
				var d2 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d2.push([i, Math.cos(i)]);
				}
			
				var d3 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.2) {
					d3.push([i, Math.tan(i)]);
				}
				
			
				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'220px'});
				$.plot("#sales-charts", [
					{ label: "Domains", data: d1 },
					{ label: "Hosting", data: d2 },
					{ label: "Services", data: d3 }
				], {
					hoverable: true,
					shadowSize: 0,
					series: {
						lines: { show: true },
						points: { show: true }
					},
					xaxis: {
						tickLength: 0
					},
					yaxis: {
						ticks: 10,
						min: -2,
						max: 2,
						tickDecimals: 3
					},
					grid: {
						backgroundColor: { colors: [ "#fff", "#fff" ] },
						borderWidth: 1,
						borderColor:'#555'
					}
				});
			
			
				$('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('.tab-content')
					var off1 = $parent.offset();
					var w1 = $parent.width();
			
					var off2 = $source.offset();
					//var w2 = $source.width();
			
					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
					return 'left';
				}
			
			
				$('.dialogs,.comments').ace_scroll({
					size: 300
			    });
				
				
				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
				//so disable dragging when clicking on label
				var agent = navigator.userAgent.toLowerCase();
				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
				  $('#tasks').on('touchstart', function(e){
					var li = $(e.target).closest('#tasks li');
					if(li.length == 0)return;
					var label = li.find('label.inline').get(0);
					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
				});
			
				$('#tasks').sortable({
					opacity:0.8,
					revert:true,
					forceHelperSize:true,
					placeholder: 'draggable-placeholder',
					forcePlaceholderSize:true,
					tolerance:'pointer',
					stop: function( event, ui ) {
						//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
						$(ui.item).css('z-index', 'auto');
					}
					}
				);
				$('#tasks').disableSelection();
				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
					if(this.checked) $(this).closest('li').addClass('selected');
					else $(this).closest('li').removeClass('selected');
				});
			
			
				//show the dropdowns on top or bottom depending on window height and menu position
				$('#task-tab .dropdown-hover').on('mouseenter', function(e) {
					var offset = $(this).offset();
			
					var $w = $(window)
					if (offset.top > $w.scrollTop() + $w.innerHeight() - 100) 
						$(this).addClass('dropup');
					else $(this).removeClass('dropup');
				});
			
                        
                        
			});
                        
                    //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
                    
                        $(document).ready( function() {
                            jQuery("#registroEncuesta").validationEngine();
                        });
                        
                        
                        
                        //-------------------------------
                        
                        function cargando(){
                            $( "#dialog-cargando" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
                                title_html: true
                            });
                        }
                        
                        function close_carga(){
                            $( "#dialog-cargando" ).dialog( "close" );
                        }
                        
                        function conMayusculas(field) {
                            field.value = field.value.toUpperCase()
                        }
                        
                        function segundaCarga(){
                            cargarBloque();
                        }

                        function cargarBloque(){
                            var accion = "limpiar();";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=cargarBloque',
                                    data: 'accion='+accion,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $("#divbloque").html(resultado);
                                    },complete:function(){ 
                                        datosEditables();
                                    }
                            });

                        }
                        
                        function datosEditables(){
                            var codigo="<%=CadenaGrupo!=null?CadenaGrupo.getCodigo():""%>";
                            var maxGru="<%=CadenaGrupo!=null?CadenaGrupo.getMaximoGrupo():""%>";
                            var nombre="<%=CadenaGrupo!=null?CadenaGrupo.getNombreGrupo():""%>";
                            var cadena="<%=CadenaGrupo!=null?CadenaGrupo.getCadena():""%>";
                            //alert("Codigo: "+codigo+"\nNombre: "+nombre+"\nMaximo: "+maxGru+"\nCadena: "+cadena);
                            
                            $("#cadena").val(cadena);
                        
                            $.ajax({
                                type:'POST',
                                url:'../ServletBloque?Accion=armarBloqueHorarioParaActualizar',
                                data: 'cadena='+cadena,
                                beforeSend: function() {
                                    cargando(); 
                                },success:function(resultado){
                                   close_carga();
                                    $("#bloqueDias").html(resultado);
                                },complete:function(){ 
                                    $("#bloqueDias").fadeIn();
                                    var cantMax = $("#codBloqMax").val();
                                    $("#cantMax").val(cantMax);
                                }
                            });
                        }
                        
                       
                        
                        function limpiar(){
                            $("#cmbTurno").val('');
                            $("#divTurno").html("<select class='form-control validate[required]' id='cmbTurno' onChange='limpiarpanel();'><option value=''>[Seleccione]</option><option value='1'>MAÑANA [07:50 a 14:30]</option><option value='2'>TARDE [15:00 a 19:00]</option><option value='3'>NOCHE [19:00 a 22:00]</option><option value='4'>MAÑANA-TARDE [07:50 a 19:00]</option><option value='5'>TARDE-NOCHE [15:00 a 22:00]</option><option value='6'>TODOS LOS TURNOS [07:50 a 22:00]</option></select>");
                            limpiarListadoBloque();
                        }
                        
                        
                        
                        
                        
                        function validar_buscar(){
                            var estado=jQuery('#registroBloque').validationEngine('validate');
                            if(estado){
                                BuscarBloque();
                            }
                        }
                        
                        function BuscarBloque(){
                            var cod = $("#cmbBloque").val();
                            var codTur = $("#cmbTurno").val();

                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=BloqueBusqueda_Gen',
                                    data: 'cod='+cod,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $('#divListadoBloq').html(resultado);
                                    },complete:function(){ 
                                     for(i=0; i<20;i++){
                                          $("#txt_ini_"+i+"").mask("99:99"); 
                                          $("#txt_fin_"+i+"").mask("99:99");
                                       }
                                          $('#divListadoBloq').fadeIn();
                                          $("#codBloq").val(cod);
                                          $("#codTurno").val(codTur);
                                    }
                            });
                        }
                        
                        
                        function calculo_min(cont,numero){
                            //var cod = $("#cmbBloque").val();
                            var turno=$("#codTurno").val();
                            var filas = $("#cantBlo").val();

                           // alert(turno);
                            var ini= $("#txt_ini_"+cont+"").val(); 
                            var fin= $("#txt_fin_"+cont+"").val();
                            var dato = 0;
                            var diferencia = 0;
                            var hf=0;
                            var hi=0;
                            var mf=0;
                            var mi=0;
                            var dif=0;
                            var res=-1;
                            if(ini!="" && fin!=""){
                                var arrayini = ini.split(":");
                                var arrayfin = fin.split(":");
                                
                                  hi=parseInt(arrayini[0]);
                                  hf=parseInt(arrayfin[0]);
                                  mi=parseInt(arrayini[1]);
                                  mf=parseInt(arrayfin[1]);
                                if(turno==1){ //turno mañana
                                      if(hi<7 || hi>14 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>14 || mf>59){
                                          dato=dato+1;
                                      } 
                                      if(hf==14 && mf>30){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }
                                }else if(turno==2){//TARDE
                                      if(hi<15 || hi>19 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<15 || hf>19 || mf>59){
                                          dato=dato+1;
                                      } 
                                      if(hf==19 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(turno==3){//NOCHE
                                     if(hi<19 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<19 || hf>22  || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(turno==4){ //MAÑANA-TARDE
                                      if(hi<7 || hi>19 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>19 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }
                                      if(hf==19 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(turno==5){ //TARDE-NOCHE
                                      if(hi<15 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<15 || hf>22 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(turno==6){ //MAÑANA-TARDE-NOMBRE
                                      if(hi<7 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>22 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }
                                }
                                /* if(hi>23 || mi>59){
                                    dato=dato+1;
                                }
                                if(hf>23 || mf>59){
                                    dato=dato+1;
                                }*/

                              if(dato==0){
                                  //comprobar tiempos 
                                    if(hi>hf){

                                          diferencia=1;

                                    }else if(hi==hf){
                                        if(mi>mf){
                                            diferencia=1;
                                      } 
                                  }
                              }else{
                                  diferencia=1;
                              }


                              if(diferencia==0){
                                  var dh= (hf-hi)*60;
                                  var dm= mf-mi;
                                  //if( dm<0 ){  dm=dm*(-1);  }
                                  if(dm<0){
                                      dm=dm*(-1);
                                      res=dh-dm;
                                  }else{
                                      res=dh+dm;  
                                  }

                              }  

                             //modificacion de horas  
                             
                               var anter=cont-1;
                               var sig=cont+1; 
                                if(res==-1){
                                     $("#txt_ini_"+cont+"").val(""); 
                                     $("#txt_fin_"+cont+"").val("");
                                     $("#div_cant_"+cont+"").html("");
                                     var ant=$("#txt_fin_"+anter+"").val();
                                     $("#txt_ini_"+cont+"").val(ant); 
                                     alerta1();
                                  for(i=0;i<filas;i++){
                                     var mas= sig+i;
                                     $("#div_cant_"+mas+"").html("");
                                     $("#txt_ini_"+mas+"").val(""); 
                                     $("#txt_fin_"+mas+"").val("");

                                  }


                                }else{

                                      $("#txt_cant_"+cont+"").val(res); 
                                      $("#div_cant_"+cont+"").html(res); 

                                      if(numero==2){
                                          $("#txt_ini_"+sig+"").val(fin); 
                                          $("#txt_fin_"+sig+"").focus();
                                          $("#txt_fin_"+sig+"").val("");
                                          $("#txt_cant_"+sig+"").val(""); 
                                          $("#div_cant_"+sig+"").html(""); 
                                      }

                                }
                                

                            }else{
                                $("#txt_cant_"+cont+"").val("");
                                $("#div_cant_"+cont+"").html("");

                            }

                        }
                        
                        
                        
                        function alerta1(){
                            $( "#dialog-advertencia1" ).removeClass('hide').dialog({
                                resizable: false,
                                width:400,
                                modal: true,
                                title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-warning btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        
                        
                        function validar_registro(){
                            var estado=jQuery('#regisBloque').validationEngine('validate');
                            if(estado){
                              registrarBloque();
                            }
                        }
                        
                        function registrarBloque(){
                            var filas = $("#cantBlo").val();

                            var cantidad = $("#cantBlo").val();
                            var bloq = 0;
                            var hi=0;
                            var hf=0;
                            var mi=0;
                            var mf=0;

                        for(i=1;i<=cantidad;i++){
                            var sig=i+1;
                            var ant=i-1;
                            var ini = $("#txt_ini_"+i+"").val();
                            var fin = $("#txt_fin_"+i+"").val();
                            var min = $("#txt_cant_"+i+"").val();

                            var arrayini = ini.split(":");
                            var arrayfin = fin.split(":");

                            hi=parseInt(arrayini[0]);
                            hf=parseInt(arrayfin[0]);
                            mi=parseInt(arrayini[1]);
                            mf=parseInt(arrayfin[1]);
                            if(hi>hf){
                                bloq=bloq+1;
                                      $("#txt_ini_"+i+"").val("");
                                      $("#txt_fin_"+i+"").val("");
                                      $("#txt_ini_"+sig+"").val("");
                                      $("#txt_fin_"+ant+"").val("");
                                      $("#div_cant_"+i+"").html("");
                                      $("#div_cant_"+ant+"").html("");
                                      $("#div_cant_"+sig+"").html("");
                                 for(i=0;i<=filas;i++){
                                    var mas= sig+i;
                                    $("#div_cant_"+mas+"").html("");
                                    $("#txt_ini_"+mas+"").val(""); 
                                    $("#txt_fin_"+mas+"").val("");

                                    }


                            }else if(hi==hf){
                                if(mi>mf){
                                     bloq=bloq+1;
                                      $("#txt_ini_"+i+"").val("");
                                      $("#txt_fin_"+i+"").val("");
                                      $("#txt_ini_"+sig+"").val("");
                                      $("#txt_fin_"+ant+"").val("");
                                      $("#div_cant_"+i+"").html("");
                                      $("#div_cant_"+ant+"").html("");
                                      $("#div_cant_"+sig+"").html("");
                                 for(i=0;i<=filas;i++){
                                    var mas= sig+i;
                                    $("#div_cant_"+mas+"").html("");
                                    $("#txt_ini_"+mas+"").val(""); 
                                    $("#txt_fin_"+mas+"").val("");

                                    }
                                 }
                            }else{
                                bloq=bloq;

                            }
                         } //alert(bloq);
                        if(bloq==1){
                            alerta1();

                        }else{
                            generarBloque();

                        }

                    }
                    
                    
                    function generarBloque(){
                        var cmbBloque = $("#cmbBloque").val();
                        var cmbTurno = $("#cmbTurno").val();
                        var cmbDia = $("#cmbDia").val();
                        var cadena = $("#cadena").val();
                        var horas = "";
                        
                        
                        for(var i=1;i<=cmbBloque;i++){
                            var ini = $("#txt_ini_"+i+"").val();
                            var fin = $("#txt_fin_"+i+"").val();
                            if(horas==""){
                                horas+=ini+"-"+fin;
                            }else{
                                horas+="¡"+ini+"-"+fin;
                            }
                        }
                        
                        if(cadena==""){
                            if(cmbDia=="g"){
                                cadena="";
                                cadena+=cmbBloque+"#"+cmbTurno+"#1#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#2#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#3#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#4#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#5#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#6#"+horas;
                                
                            }else{
                                cadena+=cmbBloque+"#"+cmbTurno+"#"+cmbDia+"#"+horas;
                            }
                            
                        }else{
                            if(cmbDia=="g"){
                                cadena="";
                                cadena+=cmbBloque+"#"+cmbTurno+"#1#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#2#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#3#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#4#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#5#"+horas;
                                cadena+="!"+cmbBloque+"#"+cmbTurno+"#6#"+horas;
                                
                            }else{
                                var cad = $("#cadena").val();
                                
                                var array1 = cad.split("!");
                                
                                var NewDato ="";
                                var OldDato ="";
                                
                                for(var i=0;i<array1.length;i++){
                                    var array2 = array1[i].split("#");
                                    
                                    if(cmbDia==array2[2]){
                                        OldDato=array2[0]+"#"+array2[1]+"#"+array2[2]+"#"+array2[3];
                                    }
                                    
                                }
                                
                                if(OldDato==""){
                                    cadena+="!"+cmbBloque+"#"+cmbTurno+"#"+cmbDia+"#"+horas;
                                }else{
                                    NewDato=cmbBloque+"#"+cmbTurno+"#"+cmbDia+"#"+horas;
                                    //alert("datoAntiguo-->> "+OldDato);
                                    //alert("nuevo-->> "+NewDato);
                                    cadena=cadena.replace(OldDato,NewDato);
                                }
                                    
                                
                                
                            }
                            
                            
                        }
                        
                        $("#cadena").val(cadena);
                        
                        $.ajax({
                            type:'POST',
                            url:'../ServletBloque?Accion=armarBloqueHorario',
                            data: 'cadena='+cadena,
                            beforeSend: function() {
                                cargando(); 
                            },success:function(resultado){
                               close_carga();
                                $("#bloqueDias").html(resultado);
                            },complete:function(){ 
                                $("#bloqueDias").fadeIn();
                                var cantMax = $("#codBloqMax").val();
                                $("#cantMax").val(cantMax);
                            }
                        });
                                        

                    }
                    
                    function registrarBloqueGrupo(){
                        var cadena = $("#cadena").val(cadena);
                        
                        
                        
                    }
                    
                  
                    function alerta2(){
                        $( "#dialog-confor1" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                            title_html: true,
                            buttons: [
                                {
                                    html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                    "class" : "btn btn-primary btn-xs",
                                    click: function() {
                                        //registrar();
                                    }
                                },{
                                    html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                    "class" : "btn btn-danger btn-xs",
                                    click: function() {
                                        $( this ).dialog( "close" ); 
                                    }
                                }
                            ]
                        });
                    }
                    
                    function registrar(){
                        var cod = $("#codBloq").val();

                            var codTur = $("#codTurno").val();
                            var cantidad = $("#cantBlo").val();
                            var bloq = "";
                            var hi=0;
                            var hf=0;
                            var mi=0;
                            var mf=0;

                        for(i=1;i<=cantidad;i++){

                            var ini = $("#txt_ini_"+i+"").val();
                            var fin = $("#txt_fin_"+i+"").val();

                            var min = $("#txt_cant_"+i+"").val();

                               if(bloq==""){
                                    bloq += i+"-"+ini+"-"+fin+"-"+min;

                                }else{
                                    bloq += "#"+i+"-"+ini+"-"+fin+"-"+min;
                                } 
                        }

                          $.ajax({
                                type:'POST',
                                url:'../ServletBloque?Accion=registroBloque',
                                data: 'codBlo='+cod+'&bloq='+bloq+'&codTur='+codTur,
                                beforeSend: function() {
                                    cargando(); 
                                },success:function(resultado){
                                   close_carga();
                                    if(resultado==0){
                                        alerta3();
                                    }else if(resultado==1){
                                        alerta4();
                                    } else{
                                        alerta5();
                                    }
                                },complete:function(){ 
                                        

                                }
                        });     
                    }
                    
                    
                    
                       
                    
                    function alerta3(){
                        $( "#dialog-confor1" ).dialog( "close" );
                        $( "#dialog-noti1" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                            title_html: true,
                            buttons: [
                                {
                                    html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                                    "class" : "btn btn-success btn-xs",
                                    click: function() {
                                        //$( this ).dialog( "close" );
                                        cargarBloque();
                                        $("#cmbTurno").val('');
                                        $('#divListadoBloq').fadeOut();
                                        regresar(); 
                                    }
                                }
                            ]
                        });
                    }
                    
                    function regresar(){
                        window.location="listar_bloques2.jsp";
                    }
                    
                    
                    function alerta4(){
                        $( "#dialog-advertencia2" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                            title_html: true,
                            buttons: [
                                {
                                    html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                    "class" : "btn btn-warning btn-xs",
                                    click: function() {
                                        $( this ).dialog( "close" );
                                    }
                                }
                            ]
                        });
                   }
                    
                    function alerta5(){
                        $( "#dialog-advertencia3" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                            title_html: true,
                            buttons: [
                                {
                                    html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                    "class" : "btn btn-warning btn-xs",
                                    click: function() {
                                        $( this ).dialog( "close" );
                                    }
                                }
                            ]
                        });
                   }
                   
                   function  limpiarListadoBloque(){
                       $("#divListadoBloq").html("");
                       $("#divDia").html("<select class='form-control validate[required]' id='cmbDia' onChange='limpiarCreaBlo();' ><option value=''>[Seleccione]</option><option value='g'>GENERAL</option><option value='1'>LUNES</option><option value='2'>MARTES</option><option value='3'>MIÉRCOLES</option><option value='4'>JUEVES</option><option value='5'>VIERNES</option><option value='6'>SÁBADO</option></select>");
                   }
                   
                   function limpiarpanel(){
                       limpiarListadoBloque();
                   }
                   
                   function limpiarCreaBlo(){
                       $("#divListadoBloq").html("");
                   }
                   
                   function registrarHorario(){
                       var codigo = "<%=CadenaGrupo!=null?CadenaGrupo.getCodigo():""%>";
                       var cadena = $("#cadena").val();
                       var cantMax = $("#cantMax").val();
                       
                       
                       $.ajax({
                                type:'POST',
                                url:'../ServletBloque?Accion=EditarGrupoHorario',
                                data: 'cadena='+cadena+'&cantMax='+cantMax+'&codigo='+codigo,
                                beforeSend: function() {
                                    cargando(); 
                                },success:function(resultado){
                                   close_carga();
                                    //alert(resultado);
                                },complete:function(){ 
                                    window.location= "listar_bloques2.jsp";
                                }
                        });
                   }
                    
                        
                          
                        
                        
		</script>
                

		<!-- the following scripts are used in demo only for onpage help and you don't need them -->
               
		<link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
		<link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />
                
		<script type="text/javascript"> ace.vars['base'] = '..'; </script>
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		<script src="../assets/js/ace/ace.onpage-help.js"></script>
		<script src="../docs/assets/js/rainbow.js"></script>
		<script src="../docs/assets/js/language/generic.js"></script>
		<script src="../docs/assets/js/language/html.js"></script>
		<script src="../docs/assets/js/language/css.js"></script>
		<script src="../docs/assets/js/language/javascript.js"></script>
                
                <script type="text/javascript" src="js/jquery.maskedinput.js"></script>
                
                <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
                <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
                
                <!--<script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
                <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
                -->
                
                <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
                <link rel="stylesheet" href="css/colorPicker.css" type="text/css"></link>

</html>
